[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TFields.Create

Create a new instance of TFields

## Declaration

Source position: db.pas line 1092

`public constructor TFields.Create(`
`ADataset: TDataSet`
`);`

## Arguments

`ADataset` |  | Dataset for which fields must be managed.

## Description

Create initializes a new instance of TFields. It stores the ADataset parameter, so it can be retrieved at any time in the TFields.Dataset property, and initializes an internal list object to store te list of fields.

## See also

TDataset |  | Base class for records-based data-access
TFields.Dataset |  | Dataset the fields belong to
TField |  | Provide access to the contents of a single field in a record

Documentation generated on: Feb 26 2014